- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# FbxControlSetLink Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

This class represents a link between a given character's FK node and the associated node in the character hierarchy.

Definition at line 33 of file fbxcontrolset.h.

`#include <fbxcontrolset.h>`

List of all members.

## Public Member Functions
| FbxControlSetLink ()
| Default constructor.
| FbxControlSetLink (const FbxControlSetLink &pControlSetLink)
| Copy constructor.
FbxControlSetLink & | operator= (const FbxControlSetLink &pControlSetLink)
| Assignment operator.
void | Reset ()
| Reset to default values.
## Public Attributes
FbxNode * | mNode
| The character's node in a hierarchy linked to this control set link.
FbxString | mTemplateName
| A template name is a naming convention that is used to automatically map the nodes of other skeletons that use the same naming convention for automatic characterization.

## Constructor & Destructor Documentation

FbxControlSetLink | ( |  | ) |

Default constructor.

FbxControlSetLink | ( | const FbxControlSetLink & | pControlSetLink | ) |

Copy constructor.

Parameters:

  pControlSetLink | Given object.

## Member Function Documentation

FbxControlSetLink& operator= | ( | const FbxControlSetLink & | pControlSetLink | ) |

Assignment operator.

Parameters:

  pControlSetLink | Another FbxControlSetLink object assigned to this one.

void Reset | ( |  | ) |

Search for all occurrences

Reset to default values.

Member mNode is set to `NULL` and member mTemplateName is cleared.

## Member Data Documentation

FbxNode* mNode

Search for all occurrences

The character's node in a hierarchy linked to this control set link.

Definition at line 56 of file fbxcontrolset.h.

FbxString mTemplateName

Search for all occurrences

A template name is a naming convention that is used to automatically map the nodes of other skeletons that use the same naming convention for automatic characterization.

Definition at line 60 of file fbxcontrolset.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/constraint/fbxcontrolset.h

FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink
FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink FbxControlSetLink